CVE-2018-20534

Priority
Description
** DISPUTED ** There is an illegal address access at ext/testcase.c in
libsolv.a in libsolv through 0.7.2 that will cause a denial of service.
NOTE: third parties dispute this issue stating that the issue affects the
test suite and not the underlying library. It cannot be exploited in any
real-world application.
Ubuntu-Description
It was discovered that libsolv incorrectly handled certain malformed input. An
attacker could use this issue to cause libsolv to crash, resulting in a
denial of service.
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):needed
Ubuntu 19.04 (Disco Dingo):released (0.6.5-2ubuntu1)
Ubuntu 19.10 (Eoan):released (0.6.5-2ubuntu1)
More Information

Updated: 2019-09-19 14:47:14 UTC (commit d32ebc32606b9517c6fa7d65a15441e2a57a6de5)